# Generated from rubocop-digitalhospital-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-digitalhospital

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: The DigitalHospital rubocop style guide
License: MIT
URL: https://www.digitalhospital.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
A rubocop style guide.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/rubocop-all.yml
%{gem_instdir}/rubocop-bundler.yml
%{gem_instdir}/rubocop-default.yml
%{gem_instdir}/rubocop-gemspec.yml
%{gem_instdir}/rubocop-layout.yml
%{gem_instdir}/rubocop-lint.yml
%{gem_instdir}/rubocop-metrics.yml
%{gem_instdir}/rubocop-migrations.yml
%{gem_instdir}/rubocop-naming.yml
%{gem_instdir}/rubocop-performance.yml
%{gem_instdir}/rubocop-rails.yml
%{gem_instdir}/rubocop-rspec.yml
%{gem_instdir}/rubocop-style.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rubocop-digitalhospital.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.2.0-1
- Initial package
